# src/game/replay_recorder.gd
extends Node

var is_recording: bool = false
var recorded_actions: Array = []

func start_recording() -> void:
    recorded_actions.clear()
    is_recording = true

func record_action(action: Actions.Action) -> void:
    if is_recording:
        recorded_actions.append(action)

func stop_recording() -> String:
    is_recording = false
    return "replay_recorded"
